@echo off
cd ../
If exist "launcher.exe" (
If exist "%cd%\resources\_common\dat\empires2_x1_p1.dat.ORIG" (
ren "%cd%\resources\_common\dat\empires2_x1_p1.dat" empires2_x1_p1.dat.G2
ren "%cd%\resources\_common\dat\empires2_x1_p1.dat.ORIG" empires2_x1_p1.dat
ren "%cd%\resources\en\strings\key-value\key-value-strings-utf8.txt" key-value-strings-utf8.txt.G2
ren "%cd%\resources\en\strings\key-value\key-value-strings-utf8.txt.ORIG" key-value-strings-utf8.txt
echo Returning to original dataset, _G2 disabled!
) Else (
ren "%cd%\resources\_common\dat\empires2_x1_p1.dat" empires2_x1_p1.dat.ORIG
ren "%cd%\resources\_common\dat\empires2_x1_p1.dat.G2" empires2_x1_p1.dat
ren "%cd%\resources\en\strings\key-value\key-value-strings-utf8.txt" key-value-strings-utf8.txt.ORIG
ren "%cd%\resources\en\strings\key-value\key-value-strings-utf8.txt.G2" key-value-strings-utf8.txt
echo _G2 enabled!
)) Else (
echo You have to move _G2 directory to the installation folder of AoE HD - launcher.exe not found!
)
pause
